/* File:	SpiralGenerator.h - Spiral generator for 'PrimeSpiral'
 *
 * By:		Christopher Lane
 *		Symbolic Systems Resources Group
 *		Knowledge Systems Laboratory
 *		Stanford University
 *
 * Date:	19 February 1990
 *
 * Copyright:	1990 by The Leland Stanford Junior University.  This program
 * 		may be distributed without restriction for non-commercial use.
 */
 
#import <objc/Object.h>
#import <appkit/graphics.h>

typedef enum {UP, RIGHT, DOWN, LEFT} DIRECTION;

@interface SpiralGenerator:Object
{
	unsigned int count, remain, distance;
	DIRECTION direction;
}

+ new;
- generate:(unsigned int) number :(NXPoint *) point;

@end
